Bug 1626219 - nuage refresh fails - undefined method `[]' ... security_groups [NEEDINFO]
Summary: nuage refresh fails - undefined method `[]' ... security_groups
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.5
Assignee: mplesko
QA Contact: Dave Johnson
URL:
Whiteboard:
: 1531305 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-06 18:38 UTC by ncatling
Modified: 2019-02-27 07:07 UTC (History)
8 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-05 13:59:24 UTC
Category: ---
Cloudforms Team: ---
dmetzger: needinfo? (ncatling)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:59:58 UTC

Comment 2 ncatling 2018-09-06 18:39:18 UTC
Fix is to modify this file:
/opt/rh/cfme-gemset/bundler/gems/cfme-providers-nuage-677d2554c746/app/models/manageiq/providers/nuage/inventory/parser/network_manager.rb

Specifically security_groups function:

Change L32 from:
        :network_group => persister.network_groups.lazy_find(domain['parentID'])

To:
        :network_group => persister.network_groups.lazy_find(domain_id)

Comment 6 CFME Bot 2018-09-18 20:14:59 UTC
New commit detected on ManageIQ/manageiq-providers-nuage/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-nuage/commit/219cbcc9b464e0cb5c4ef4a60ec81248532bf466
commit 219cbcc9b464e0cb5c4ef4a60ec81248532bf466
Author:     Miha Pleško <miha.plesko@xlab.si>
AuthorDate: Thu Sep 13 07:43:30 2018 -0400
Commit:     Miha Pleško <miha.plesko@xlab.si>
CommitDate: Thu Sep 13 07:43:30 2018 -0400

    [GAPRINDASHVILI] Prevent crash upon inventoring SecurityGroups

    With this commit we fix bug that caused inventoring crash if Nuage server
    contains at least one SecurityGroup that is connected to L2 domain (as opposed
    to L3 domains, as implementation assumes).

    Problem was that parentID on security group can refer either to L2 domain or
    L3 domain, but we assumed L3 domain.

    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1626219

    Signed-off-by: Miha Pleško <miha.plesko@xlab.si>

 app/models/manageiq/providers/nuage/inventory/parser/network_manager.rb | 16 +-
 1 file changed, 10 insertions(+), 6 deletions(-)

Comment 8 errata-xmlrpc 2018-11-05 13:59:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466

Comment 9 mplesko 2019-02-27 07:07:10 UTC
*** Bug 1531305 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.